// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2012 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;


namespace Hiperscan.Extensions.ApoIdent
{
	public enum OperatingSystem
	{
		Windows,
		Linux,
		Mac,
		XBox,
	}
	
	public static class EnvironmentInfo
	{
		public static OperatingSystem OS
		{
			get
			{
				OperatingSystem os;
				switch(EnvironmentInfo.OSVersion)
				{
				case PlatformID.MacOSX:
					os = OperatingSystem.Mac;
					break;
					
				case PlatformID.Unix:
					os = OperatingSystem.Linux;
					break;
					
				case PlatformID.Xbox:
					os = OperatingSystem.XBox;
					break;
					
				default: 
					os = OperatingSystem.Windows;
					break;
				}
				
				return os;
			}
		}
		
		public static PlatformID OSVersion
		{
			get
			{
				return Environment.OSVersion.Platform;
			}
		}
	}
}

